
/*	LCD-Modus
	Wird LCD_CYRILLIC definiert, dann wird das Omega- und -Zeichen als "Custom Character" erzeugt.
	Das ist ntig, weil HD44780 mit einem anderen als dem "Standard-Zeichensatz"
	diese Zeichen nicht in ihrem ROM enthalten.
*/
//#define LCD_CYRILLIC

/*
Mit dem Define SWUART_INVERT kann festgelegt werden, ob der Software-UART normal oder invertiert sendet.
In der normalen Betriebsart sendet der UART in der blichen Logik (Low = 0; High = 1).
Das ist der Standardfall und dient zum Anschluss an einen anderen C, einen USB=>Seriell-Wandler-Chip
oder an einen Pegelwandler wie den MAX232.

In der invertierten Betriebsart sendet der UART in umgekehrter Logik, also High = 0 und Low = 1
Das entspricht der Logik der RS232-Schnittstelle von Standard-PCs.
In den meisten Fllen kann der TxD des Software-UART somit direkt mit dem RxD des PCs verbunden werden.
Laut Spezifikation ist das unzulssig, weil fr eine RS232-Schnittstelle Pegel von -3V...3V undefiniert sind.
An den meisten PCs funktioniert es aber trotzdem ohne Probleme.
Das ist eine einfache, aber etwas unsaubere Lsung...

Ist SWUART_INVERT definiert, arbeitet der UART in invertierter Betriebsart.
*/
//#define SWUART_INVERT

#define TxD PC3	//TxD-Pin des Software-UART; muss an Port C sein!


//AVR-Typenabhnggikeit
#if defined(__AVR_ATmega48__)
  #define MCU_STATUS_REG MCUCR
  #define ADC_COMP_CONTROL ADCSRB
  #define TI1_INT_FLAGS TIFR1
#elif defined(__AVR_ATmega88__)
  #define MCU_STATUS_REG MCUCR
  #define ADC_COMP_CONTROL ADCSRB
  #define TI1_INT_FLAGS TIFR1
  #define UseM8
#elif defined(__AVR_ATmega168__)
  #define MCU_STATUS_REG MCUCR
  #define ADC_COMP_CONTROL ADCSRB
  #define TI1_INT_FLAGS TIFR1
  #define UseM8
#else
  #define MCU_STATUS_REG MCUCSR
  #define ADC_COMP_CONTROL SFIOR
  #define TI1_INT_FLAGS TIFR
  #define UseM8
#endif


// UseM8 wird nur hier abgefragt, die Programme fragen ber Preprozessor 
// die "defines"  R_MESS, C_MESS,KOLLEKTOR_SCHALTUNG, LONG_HFE und WITH_UART ab
#ifdef UseM8
// R_MESS aktiviert die Widerstands-Messung
#define R_MESS
// C_MESS aktiviert die Kapazitts-Messung
#define C_MESS
// KOLLEKTOR_SCHALTUNG aktiviert Stromverstrkungs-Messung auch in Kollektorschaltung (Emitterfolger)
#define KOLLEKTOR_SCHALTUNG
// LONG_HFE  aktiviert die Berechnung der Stromverstrkungs-Faktor mit long Variablen
#define LONG_HFE
// WITH_UART aktiviert die Ausgabe auf einem Software-UART
#define WITH_UART
#endif

// BAT_OUT aktiviert die Ausgabe der Batteriespannung vor der Messung
#define BAT_OUT
